org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavascriptVmEmbedder

    public interface JavascriptVmEmbedder

Abstraction of application embedding JavaScript VM. Technically subtypes of `JavascriptVm` describe embedding application themselves. This interface simply holds reference to `JavascriptVm` and adapts various subtypes of `JavascriptVm` to a uniform interface suitable for `DebugTargetImpl`. Notably, it has polymorphous method `#attach(Listener, DebugEventListener)`, which `JavascriptVm` lacks.

### Nested Class Summary

Nested Classes
`static interface` `JavascriptVmEmbedder.ConnectionToRemote` First intermediate object that corresponds to already connected server.
`static interface` `JavascriptVmEmbedder.Listener` Listener that should handle embedder-specific events.
`static interface` `JavascriptVmEmbedder.VmConnector` Intermediate object that works as an intermediate factory for `JavascriptVmEmbedder`.

### Method Summary

All Methods Instance Methods Abstract Methods
`JavascriptVm` `getJavascriptVm()`
`ScriptNameManipulator` `getScriptNameManipulator()`
`java.lang.String` `getTargetName()`
`java.lang.String` `getThreadName()`

### Method Detail

#### getJavascriptVm

    JavascriptVm getJavascriptVm()

Returns:
  not null

#### getTargetName

    java.lang.String getTargetName()

#### getThreadName

    java.lang.String getThreadName()

#### getScriptNameManipulator

    ScriptNameManipulator getScriptNameManipulator()

Returns:
  script name manipulator that knows the schema of script names in this JavaScript VM